package com.microservices.wiki.mapper.sys;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.microservices.wiki.domain.sys.User;

public interface UserMapper extends BaseMapper<User> {

    int deleteByPrimaryKey(Integer id);

    int insert(User record);

    int insertSelective(User record);

    User selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(User record);

    int updateByPrimaryKey(User record);
}